Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gotdns.jimula.EatHealthy
Class CalculateNutrient

    java.lang.Object
      |
      +--com.gotdns.jimula.EatHealthy.CalculateNutrient

public class CalculateNutrient
extends java.lang.Object

CalculateNutrient is an object which calculates personal nutrient. It is evoked by NutrientPanel.

EatHealthy

A simple personal nutrient need and food serving calculator

Copyright (c) 2003

See Also:
  `NutrientPanel`

Field Summary
`float` | `Activity` activity
`float` | `BMR` Basal Metabolic Rate
`float` | `Calorie` calories
`float` | `carb` carbohydrate contents
`float` | `DIT` Diet-Induced Thermogenesis
`float` | `fat` fat contents
`float` | `IBW` Ideal Body Weight
`float` | `protein` protein contents

Constructor Summary
`CalculateNutrient(float height, int sleepingTime, java.lang.String sex, float level)` Construsts a new CalculateNutrient object and calculate personal nutrient need.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IBW

    public float IBW

  Ideal Body Weight

### BMR

    public float BMR

  Basal Metabolic Rate

### Activity

    public float Activity

  activity

### DIT

    public float DIT

  Diet-Induced Thermogenesis

### Calorie

    public float Calorie

  calories

### protein

    public float protein

  protein contents

### carb

    public float carb

  carbohydrate contents

### fat

    public float fat

  fat contents

Constructor Detail

### CalculateNutrient

    public CalculateNutrient(float height,
                             int sleepingTime,
                             java.lang.String sex,
                             float level)

  Construsts a new CalculateNutrient object and calculate personal nutrient need.

Parameters:
  `height` - personal height
  `sleepingTime` - personal sleeping hours
  `sex` - personal gendar
  `level` - personal activity level
See Also:
  `IBW`, `BMR`, `Activity`, `DIT`, `Calorie`, `PFC`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD